Upstream information

CVE-2024-30260 at MITRE

Description

Undici is an HTTP/1.1 client, written from scratch for Node.js. Undici cleared Authorization and Proxy-Authorization headers for `fetch()`, but did not clear them for `undici.request()`. This vulnerability was patched in version(s) 5.28.4 and 6.11.1.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v3 Scores
  SUSE
Base Score 3.1
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:N/A:N
Attack Vector Network
Attack Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact Low
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1222530 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/nodejs:18-17.2
  • nodejs18 >= 18.20.1-150400.9.21.3
  • npm18 >= 18.20.1-150400.9.21.3
Container bci/nodejs:20-7.2
  • nodejs20 >= 20.12.1-150500.11.9.2
  • npm20 >= 20.12.1-150500.11.9.2
SUSE Linux Enterprise High Performance Computing 12
SUSE Linux Enterprise Module for Web and Scripting 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • nodejs16 >= 16.20.2-8.45.1
  • nodejs16-devel >= 16.20.2-8.45.1
  • nodejs16-docs >= 16.20.2-8.45.1
  • nodejs18 >= 18.20.1-8.21.1
  • nodejs18-devel >= 18.20.1-8.21.1
  • nodejs18-docs >= 18.20.1-8.21.1
  • npm16 >= 16.20.2-8.45.1
  • npm18 >= 18.20.1-8.21.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2024-1307
SUSE-SLE-Module-Web-Scripting-12-2024-1836
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS
  • nodejs18 >= 18.20.1-150400.9.21.3
  • nodejs18-devel >= 18.20.1-150400.9.21.3
  • nodejs18-docs >= 18.20.1-150400.9.21.3
  • npm18 >= 18.20.1-150400.9.21.3
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-1309
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS
  • nodejs18 >= 18.20.1-150400.9.21.3
  • nodejs18-devel >= 18.20.1-150400.9.21.3
  • nodejs18-docs >= 18.20.1-150400.9.21.3
  • npm18 >= 18.20.1-150400.9.21.3
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-1309
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Web and Scripting 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • nodejs18 >= 18.20.1-150400.9.21.3
  • nodejs18-devel >= 18.20.1-150400.9.21.3
  • nodejs18-docs >= 18.20.1-150400.9.21.3
  • nodejs20 >= 20.12.1-150500.11.9.2
  • nodejs20-devel >= 20.12.1-150500.11.9.2
  • nodejs20-docs >= 20.12.1-150500.11.9.2
  • npm18 >= 18.20.1-150400.9.21.3
  • npm20 >= 20.12.1-150500.11.9.2
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP5-2024-1301
SUSE-SLE-Module-Web-Scripting-15-SP5-2024-1309
SUSE Linux Enterprise Server 15 SP4-LTSS
  • nodejs18 >= 18.20.1-150400.9.21.3
  • nodejs18-devel >= 18.20.1-150400.9.21.3
  • nodejs18-docs >= 18.20.1-150400.9.21.3
  • npm18 >= 18.20.1-150400.9.21.3
Patchnames:
SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-1309
SUSE Linux Enterprise Server for SAP Applications 15 SP4
  • nodejs18 >= 18.20.1-150400.9.21.3
  • nodejs18-devel >= 18.20.1-150400.9.21.3
  • nodejs18-docs >= 18.20.1-150400.9.21.3
  • npm18 >= 18.20.1-150400.9.21.3
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP4-2024-1309
SUSE Manager Server 4.3
  • nodejs18 >= 18.20.1-150400.9.21.3
  • nodejs18-devel >= 18.20.1-150400.9.21.3
  • nodejs18-docs >= 18.20.1-150400.9.21.3
  • npm18 >= 18.20.1-150400.9.21.3
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-1309
openSUSE Leap 15.5
  • corepack18 >= 18.20.1-150400.9.21.3
  • corepack20 >= 20.12.1-150500.11.9.2
  • nodejs18 >= 18.20.1-150400.9.21.3
  • nodejs18-devel >= 18.20.1-150400.9.21.3
  • nodejs18-docs >= 18.20.1-150400.9.21.3
  • nodejs20 >= 20.12.1-150500.11.9.2
  • nodejs20-devel >= 20.12.1-150500.11.9.2
  • nodejs20-docs >= 20.12.1-150500.11.9.2
  • npm18 >= 18.20.1-150400.9.21.3
  • npm20 >= 20.12.1-150500.11.9.2
Patchnames:
openSUSE-SLE-15.5-2024-1301
openSUSE-SLE-15.5-2024-1309
openSUSE Tumbleweed
  • corepack20 >= 20.12.1-1.1
  • corepack21 >= 21.7.2-1.1
  • nodejs-electron >= 28.2.10-2.1
  • nodejs-electron-devel >= 28.2.10-2.1
  • nodejs-electron-doc >= 28.2.10-2.1
  • nodejs20 >= 20.12.1-1.1
  • nodejs20-devel >= 20.12.1-1.1
  • nodejs20-docs >= 20.12.1-1.1
  • nodejs21 >= 21.7.2-1.1
  • nodejs21-devel >= 21.7.2-1.1
  • nodejs21-docs >= 21.7.2-1.1
  • npm20 >= 20.12.1-1.1
  • npm21 >= 21.7.2-1.1
Patchnames:
openSUSE Tumbleweed GA corepack20-20.12.1-1.1
openSUSE Tumbleweed GA corepack21-21.7.2-1.1
openSUSE Tumbleweed GA nodejs-electron-28.2.10-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 nodejs16 Affected
SUSE Linux Enterprise High Performance Computing 12 nodejs16 Released
SUSE Linux Enterprise High Performance Computing 12 nodejs18 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 nodejs18 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 nodejs20 Released
SUSE Linux Enterprise High Performance Computing 15 SP6 nodejs20 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs16 Released
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs18 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP5 nodejs18 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP5 nodejs20 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP6 nodejs20 Already fixed
SUSE Linux Enterprise Server 12 SP5 nodejs16 Released
SUSE Linux Enterprise Server 12 SP5 nodejs18 Released
SUSE Linux Enterprise Server 15 SP5 nodejs18 Released
SUSE Linux Enterprise Server 15 SP5 nodejs20 Released
SUSE Linux Enterprise Server 15 SP6 nodejs20 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs16 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs18 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 nodejs18 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 nodejs20 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 nodejs20 Already fixed
SUSE Manager Proxy 4.3 nodejs16 Affected
SUSE Manager Proxy 4.3 nodejs18 Affected
SUSE Manager Retail Branch Server 4.3 nodejs16 Affected
SUSE Manager Retail Branch Server 4.3 nodejs18 Affected
SUSE Manager Server 4.3 nodejs16 Affected
SUSE Manager Server 4.3 nodejs18 Released
openSUSE Leap 15.5 nodejs18 Released
openSUSE Leap 15.5 nodejs20 Released
openSUSE Leap 15.6 nodejs20 Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 nodejs16 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS nodejs16 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS nodejs16 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 nodejs16 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 nodejs18 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS nodejs16 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS nodejs18 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS nodejs16 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS nodejs18 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP3 nodejs16 Affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP4 nodejs16 Affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP4 nodejs18 Affected
SUSE Linux Enterprise Server 15 SP3 nodejs16 Affected
SUSE Linux Enterprise Server 15 SP3-LTSS nodejs16 Affected
SUSE Linux Enterprise Server 15 SP4 nodejs16 Affected
SUSE Linux Enterprise Server 15 SP4 nodejs18 Affected
SUSE Linux Enterprise Server 15 SP4-LTSS nodejs16 Affected
SUSE Linux Enterprise Server 15 SP4-LTSS nodejs18 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 nodejs16 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 nodejs16 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 nodejs18 Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Server 12 nodejs16 Released
SUSE Linux Enterprise Server 12 nodejs18 Released
SUSE Linux Enterprise Server 12 SP3 nodejs16 Released
SUSE Linux Enterprise Server 12 SP3 nodejs18 Released
SUSE Linux Enterprise Server 12 SP4 nodejs16 Released
SUSE Linux Enterprise Server 12 SP4 nodejs18 Released
SUSE Linux Enterprise Server 15 SP3-BCL nodejs16 Affected
SUSE Linux Enterprise Server for SAP Applications 12 nodejs16 Released
SUSE Linux Enterprise Server for SAP Applications 12 nodejs18 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs16 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs18 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs16 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs18 Released
SUSE Manager Proxy 4.2 nodejs16 Affected
SUSE Manager Retail Branch Server 4.2 nodejs16 Affected
SUSE Manager Server 4.2 nodejs16 Affected
openSUSE Leap 15.4 nodejs16 Released
openSUSE Leap 15.4 nodejs18 Released
Container Status
bci/nodejs nodejs16Affected
bci/node:16 nodejs16In progress
bci/node:18 nodejs18Released
bci/nodejs nodejs18In progress
bci/nodejs nodejs20Released


SUSE Timeline for this CVE

CVE page created: Thu Apr 4 20:00:10 2024
CVE page last modified: Wed May 29 21:40:45 2024